Bug 612492 - HTML5 video in firefox really slow with radeon
HTML5 video in firefox really slow with radeon
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 07:37 EDT by Pierre Ossman
Modified: 2018-04-11 10:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 581797 None None None Never

  None (edit)
Description Pierre Ossman 2010-07-08 07:37:49 EDT
Description of problem:
HTML5 video is unplayable since I upgraded from F11 to F13.

Version-Release number of selected component (if applicable):
firefox-3.6.4-1.fc13.x86_64
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
xorg-x11-server-Xorg-1.8.2-1.fc13.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Open a page in firefox with a HTML5 video in it
  
Actual results:
Watch the machine come to a crawl with Xorg eating 100% CPU

Expected results:
Video plays smoothly.

Additional info:
Happens on two different F13 machines, both with radeon cards. Doesn't happen on a third F13 machine with nouveau.
Comment 1 Matěj Cepl 2010-07-16 18:03:13 EDT
Could you please provide us with some example (and if possible comparison with some other HTML5 browser .... chromium, epiphany, etc.) where this can be reproduced? Also what're rough specs of your computer?

Thank you for filing the report
Comment 2 Pierre Ossman 2010-07-24 13:41:50 EDT
Example page:

http://www.cendio.com/voo/

On leave right now and the problem was observed at my work machine, so I can't do any tests right now. Spec is a dual core 2.8 GHz core 2 machine with a radeon HD 4550.
Comment 3 Matěj Cepl 2010-07-24 18:20:54 EDT
Actually, there is something in the video file itself which makes Firefox unhappy. It play absolutely smoothly with mplayer and gst-launch playbin2, but even when downloaded locally its playback sucks both with firefox-3.6.7-3.el6.x86_64 and with the upstream binary of Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:2.0b1) Gecko/20100630 Firefox/4.0b1

I would push this bug upstream, but upstream bugzilla.mozilla.org is currently broken for me. Will do that when I can.
Comment 4 Pierre Ossman 2010-07-24 18:47:50 EDT
I tested other HTML5 videos, and they worked as horribly as that one. And as I wrote in the original report, the exact same videos work fine when the graphics hardware isn't radeon.

So the bug is some combination of how Firefox renders video and how those operations are implemented in the radeon driver. And as it is Xorg that is getting bogged down, this is most likely a bug in the radeon DDX. Hence why I filed it against that component. Until proven that firefox does really brain dead X11 operations that just happen to work with other drivers and older radeon drivers, I'd say reporting it to mozilla is premature.

Are you saying you can get some HTML5 videos to play fine in firefox on F13 and with radeon hw?
Comment 5 Matěj Cepl 2010-07-24 19:20:36 EDT
(In reply to comment #4)
> So the bug is some combination of how Firefox renders video and how those
> operations are implemented in the radeon driver. And as it is Xorg that is

Note, I have intel driver here.
Comment 6 Matěj Cepl 2010-07-24 19:21:33 EDT
Can you download that .ogv file to your computer and play it locally with mplayer, totem and firefox?

How does it work?
Comment 7 Pierre Ossman 2010-07-24 19:35:28 EDT
(In reply to comment #5)
> 
> Note, I have intel driver here.    

So much for that theory. :)

(In reply to comment #6)

> Can you download that .ogv file to your computer and play it locally with
> mplayer, totem and firefox?
> 
> How does it work?

Afraid not. As I mentioned, I don't have access to the machine right now. My home machine is nvidia based and doesn't suffer from this issue. The above video plays fine in the browser.
Comment 8 Matěj Cepl 2010-07-25 06:33:00 EDT
Switching to firefox component per previous analysis and will push upstream.
Comment 9 Matěj Cepl 2010-07-25 08:05:10 EDT
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=581797) and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.
Comment 10 Matěj Cepl 2010-08-11 12:32:17 EDT
Following the upstream bug, it seems like the problem is on Xorg side.
Comment 11 Karl Tomlinson 2010-08-13 00:42:27 EDT
Looks like a dupe of bug 538467.
Comment 12 Matěj Cepl 2010-08-14 19:02:22 EDT
(In reply to comment #11)
> Looks like a dupe of bug 538467.

Hmm, I don't see any crash over here. Do you?
Comment 13 Karl Tomlinson 2010-08-19 00:36:04 EDT
I don't see any crashes, but sometimes stacks from event queue overflows.
Comment 14 Bug Zapper 2011-06-01 10:27:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-29 09:50:16 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.